Package org.apache.calcite.avatica.proto

## Interface Responses.DatabasePropertyElementOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Responses.DatabasePropertyElement`, `Responses.DatabasePropertyElement.Builder`

Enclosing class:
  Responses

    public static interface Responses.DatabasePropertyElementOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Common.DatabaseProperty` `getKey()` `.DatabaseProperty key = 1;`
`Common.DatabasePropertyOrBuilder` `getKeyOrBuilder()` `.DatabaseProperty key = 1;`
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 3;`
`Common.TypedValue` `getValue()` `.TypedValue value = 2;`
`Common.TypedValueOrBuilder` `getValueOrBuilder()` `.TypedValue value = 2;`
`boolean` `hasKey()` `.DatabaseProperty key = 1;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 3;`
`boolean` `hasValue()` `.TypedValue value = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasKey

    boolean hasKey()

`.DatabaseProperty key = 1;`

#### getKey

    Common.DatabaseProperty getKey()

`.DatabaseProperty key = 1;`

#### getKeyOrBuilder

    Common.DatabasePropertyOrBuilder getKeyOrBuilder()

`.DatabaseProperty key = 1;`

#### hasValue

    boolean hasValue()

`.TypedValue value = 2;`

#### getValue

    Common.TypedValue getValue()

`.TypedValue value = 2;`

#### getValueOrBuilder

    Common.TypedValueOrBuilder getValueOrBuilder()

`.TypedValue value = 2;`

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 3;`